INIT_TIMER_KEY(9)

NAME
init_timer_key - initialize a timer

SYNOPSIS

void init_timer_key(struct timer_list * timer, unsigned int flags, const char * name, struct lock_class_key * key);

ARGUMENTS

timer
    the timer to be initialized

flags
    timer flags

name
    name of the timer

key
    lockdep class key of the fake lock used for tracking timer sync lock dependencies

DESCRIPTION

init_timer_key must be done to a timer prior calling *any* of the other timer functions.

COPYRIGHT